WSLAY_EVENT_GET_STATUS_CODE_RECEIVED(3)

NAME
wslay_event_get_status_code_received - Return status code received in close control frame

SYNOPSIS

#include <wslay/wslay.h>

uint16_t wslay_event_get_status_code_received(wslay_event_context_ptr ctx)

DESCRIPTION

wslay_event_get_status_code_received() returns status code received in close control frame. If no close control frame has not been received, returns WSLAY_CODE_ABNORMAL_CLOSURE. If received close control frame has no status code, returns WSLAY_CODE_NO_STATUS_RCVD.

SEE ALSO

wslay_event_get_status_code_sent()

AUTHOR
Tatsuhiro Tsujikawa

COPYRIGHT
2012, 2015, Tatsuhiro Tsujikawa